Skip to Content

Upgrade UI5 on frontend AND backend servers?

We want to move to a later version of UI5 and are therefore upgrading our SAP_UI from 7.51 to 7.52.

While I cannot find any specific info to confirm this I am of the opinion that it is best to upgrade SAP_UI on both our frontend and backend servers (Hub deployment) so that gateway is consistent.

Once 7.52 is loaded it will have also loaded a patch version of UI5 libraries (say 1.52.9) we will then manually patch it up to the latest patch version (currently 1.52.26) on the frontend server.

Is there any reason to do the same on the backend server or is it pointless?

Add a comment
10|10000 characters needed characters exceeded

Assigned Tags

Related questions

2 Answers

  • Best Answer
    Posted on Feb 01, 2019 at 02:31 PM

    Hi,

    Yes you can update SAP_UI component in FES and to be consistent in your landscape you can upgrade the backend also, but it is not required unless you are using WebGUI or Screen Personas from backend system.

    Fiori applications uses libraries from FES only.

    Add a comment
    10|10000 characters needed characters exceeded

  • Posted on Feb 03, 2019 at 05:58 AM

    Thanks Dheeram.

    Any benefit to upgrading the patch level of UI5 libraries on the backend?

    Add a comment
    10|10000 characters needed characters exceeded

Before answering

You should only submit an answer when you are proposing a solution to the poster's problem. If you want the poster to clarify the question or provide more information, please leave a comment instead, requesting additional details. When answering, please include specifics, such as step-by-step instructions, context for the solution, and links to useful resources. Also, please make sure that you answer complies with our Rules of Engagement.
You must be Logged in to submit an answer.

Up to 10 attachments (including images) can be used with a maximum of 1.0 MB each and 10.5 MB total.